# Yahoo! UI Library

### test 3.3.0

Yahoo! UI Library > test > Assert.ShouldError
Search:
Filters Show Private Show Protected Show Deprecated

## Class Assert.ShouldError - extends Assert.Error

ShouldError is subclass of Error that is thrown whenever a test is expected to throw an error but doesn't.

### Constructor

Assert.ShouldError `( message )`

Parameters:
  `message <String>` The message to display when the error occurs.

### Properties

#### name - `String`

The name of the error that occurred.

#### Properties inherited from Assert.Error:

`name`

#### Methods inherited from Assert.Error:

`getMessage, toString, valueOf`

Copyright © 2011 Yahoo! Inc. All rights reserved.